cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/{downstreamEntityAssociationId}/licenses \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/{downstreamEntityAssociationId}/licenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/{downstreamEntityAssociationId}/licenses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"niprDataSubscriptionId": "<string>",
"npn": "<string>",
"stateCode": "AL",
"licenseNumber": "<string>",
"licenseClassCode": "<string>",
"licenseClassName": "<string>",
"status": "<string>",
"residencyStatus": "non-resident",
"issueDate": "2023-11-07T05:31:56Z",
"lastRenewalDate": "2023-11-07T05:31:56Z",
"nextRenewalDate": "2023-11-07T05:31:56Z",
"linesOfAuthority": [
{
"code": "<string>",
"name": "<string>",
"status": "<string>",
"issueDate": "2023-11-07T05:31:56Z",
"statusReason": "<string>",
"statusReasonDate": "2023-11-07T05:31:56Z",
"continuingEducation": {
"status": "in compliance",
"renewalDate": "2023-11-07T05:31:56Z",
"creditsNeeded": 123
}
}
],
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Licenses
Get Downstream Entity Licenses
Retrieve license records for a downstream entity
GET
/
v2
/
upstream
/
downstream-entity-associations
/
{downstreamEntityAssociationId}
/
licenses
cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/{downstreamEntityAssociationId}/licenses \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/{downstreamEntityAssociationId}/licenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/{downstreamEntityAssociationId}/licenses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"niprDataSubscriptionId": "<string>",
"npn": "<string>",
"stateCode": "AL",
"licenseNumber": "<string>",
"licenseClassCode": "<string>",
"licenseClassName": "<string>",
"status": "<string>",
"residencyStatus": "non-resident",
"issueDate": "2023-11-07T05:31:56Z",
"lastRenewalDate": "2023-11-07T05:31:56Z",
"nextRenewalDate": "2023-11-07T05:31:56Z",
"linesOfAuthority": [
{
"code": "<string>",
"name": "<string>",
"status": "<string>",
"issueDate": "2023-11-07T05:31:56Z",
"statusReason": "<string>",
"statusReasonDate": "2023-11-07T05:31:56Z",
"continuingEducation": {
"status": "in compliance",
"renewalDate": "2023-11-07T05:31:56Z",
"creditsNeeded": 123
}
}
],
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Returns all license records for a specific downstream entity association, the relationship between you as the carrier or MGA and one agency you appoint. The licenses belong to that agency, not to your own organization. You can filter by state code and license status.
If you are an agency looking for your own license records, this is the wrong surface. See the same records, two vocabularies for the agency equivalent.
Authorizations
bearerrestricted-access-token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Downstream entity association ID
Example:
"507f1f77bcf86cd799439011"
Query Parameters
State code (two-letter abbreviation)
Example:
"FL"
Filter for the license status
Example:
"active"
Was this page helpful?